Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.service
Enum StorageService.Verb

    java.lang.Object
      java.lang.Enum<StorageService.Verb>
          org.apache.cassandra.service.StorageService.Verb

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StorageService.Verb>

Enclosing class:
  StorageService

    public static enum StorageService.Verb

extends java.lang.Enum<StorageService.Verb>

Enum Constant Summary
`BINARY`
`BOOTSTRAP_TOKEN`
`GOSSIP_DIGEST_ACK`
`GOSSIP_DIGEST_ACK2`
`GOSSIP_DIGEST_SYN`
`JOIN`
`MUTATION`
`RANGE_SLICE`
`READ`
`READ_REPAIR`
`READ_RESPONSE`
`STREAM_FINISHED`
`STREAM_INITIATE`
`STREAM_INITIATE_DONE`
`STREAM_REQUEST`
`TREE_REQUEST`
`TREE_RESPONSE`

Method Summary
`static StorageService.Verb` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StorageService.Verb[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MUTATION

    public static final StorageService.Verb MUTATION

### BINARY

    public static final StorageService.Verb BINARY

### READ_REPAIR

    public static final StorageService.Verb READ_REPAIR

### READ

    public static final StorageService.Verb READ

### READ_RESPONSE

    public static final StorageService.Verb READ_RESPONSE

### STREAM_INITIATE

    public static final StorageService.Verb STREAM_INITIATE

### STREAM_INITIATE_DONE

    public static final StorageService.Verb STREAM_INITIATE_DONE

### STREAM_FINISHED

    public static final StorageService.Verb STREAM_FINISHED

### STREAM_REQUEST

    public static final StorageService.Verb STREAM_REQUEST

### RANGE_SLICE

    public static final StorageService.Verb RANGE_SLICE

### BOOTSTRAP_TOKEN

    public static final StorageService.Verb BOOTSTRAP_TOKEN

### TREE_REQUEST

    public static final StorageService.Verb TREE_REQUEST

### TREE_RESPONSE

    public static final StorageService.Verb TREE_RESPONSE

### JOIN

    public static final StorageService.Verb JOIN

### GOSSIP_DIGEST_SYN

    public static final StorageService.Verb GOSSIP_DIGEST_SYN

### GOSSIP_DIGEST_ACK

    public static final StorageService.Verb GOSSIP_DIGEST_ACK

### GOSSIP_DIGEST_ACK2

    public static final StorageService.Verb GOSSIP_DIGEST_ACK2

Method Detail

### values

    public static StorageService.Verb[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StorageService.Verb c : StorageService.Verb.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StorageService.Verb valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 The Apache Software Foundation